/**
 *      @author Gaurav Bhalotia
 *      @author Ariel Schwartz
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class CitationSubset extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "citation_subset"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "CitationSubset",
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR
    };

    public CitationSubset(String pmid) throws Exception{
	
        tableName = "medline_citation_subsets";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);

    }

}
