/*
 * @author Ariel Schwartz
 * @author Gaurav Bhalotia
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import biotextEngine.xmlparsers.GenericXMLParser;

/* JAXP packages */
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;
import java.io.*;
import java.sql.*;
import java.util.*;

/**
 * This class the parses a medline document, extends the geenric xml parser
 */
public class MedlineParser extends GenericXMLParser{

    /* For patching errors */
    public static int eCount = 0;

    /* For printing the current status */
    int numCitations = 0;
    
    public MedlineParser(){
	super();
    }

    static public void main(String[] args) throws Exception {
	GenericXMLParser.main(args, MedlineParser.class);
    }

    /* Parser calls this for each element in a document */
    public void startElement(String namespaceURI, String localName,
                             String qName, Attributes atts)
	throws SAXException{
	MedlineCitation medlineCitation;
	boolean isNotMedlineCitation = qName.compareTo("MedlineCitation") != 0;
	if (isNotMedlineCitation  || currentElement == null) {
	    currentElement = qName;
	    NodeHandler.pushElement(qName);
	} else if (currentElement.equals("MedlineCitationSet")) {
	    try {
		medlineCitation = new MedlineCitation(xmlFileName);
                numCitations++;
                if ((numCitations % 500) == 0) {
                    System.out.println("Parsed " + numCitations + " Citations");
		}
		medlineCitation.setContentHandler(medlineCitation, namespaceURI, localName, qName, atts);
	    } catch (Exception e) {
		e.printStackTrace();
	    }
	}
    }
}






