/**
 *      @author Ariel Schwartz
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class OtherID extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "source",
	"other_id"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "OtherID.Source",
	"OtherID"
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR,
        Types.VARCHAR
    };

    public OtherID(String pmid) throws Exception{
	
        tableName = "medline_citation_other_id";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);
    }
}
